Get all workspaces the authenticated user has access to, either as owner or member.
curl --request GET \
--url https://app.mavera.io/api/v1/workspaces \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "workspace",
"name": "<string>",
"image": "<string>",
"type": "enterprise",
"role": "owner",
"is_owner": true,
"member_count": 123,
"project_count": 123,
"thread_count": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"members": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.mavera.io/llms.txt
Use this file to discover all available pages before exploring further.
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Search by name
Include member list in response
Maximum number of results (default 50, max 100)
1 <= x <= 100Cursor for pagination
curl --request GET \
--url https://app.mavera.io/api/v1/workspaces \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "workspace",
"name": "<string>",
"image": "<string>",
"type": "enterprise",
"role": "owner",
"is_owner": true,
"member_count": 123,
"project_count": 123,
"thread_count": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"members": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}